Skip to main content
`Ctrl`+`K`

# TSGetProblemType

Gets the type of problem to be solved.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetProblemType(TS ts, TSProblemType *type)

Not collective

## Input Parameter

- ts - The `TS`

## Output Parameter

- type - One of `TS_LINEAR`, `TS_NONLINEAR` where these types refer to problems of the forms

             M U_t = A U
             M(t) U_t = A(t) U
             F(t,U,U_t)

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetUp()`, `TSProblemType`, `TS`

## Level

beginner

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages